## org.mariadb.jdbc.internal.com.read.dao
Interface CmdInformation

All Known Implementing Classes:
  CmdInformationBatch, CmdInformationMultiple, CmdInformationSingle

    public interface CmdInformation

Field Summary
`static int` `RESULT_SET_VALUE`

Method Summary
`void` `addErrorStat()`
`void` `addResultSetStat()`
`void` `addSuccessStat(long updateCount, long insertId)`
`ResultSet` `getBatchGeneratedKeys(Protocol protocol)`
`int` `getCurrentStatNumber()`
`ResultSet` `getGeneratedKeys(Protocol protocol)`
`long` `getLargeUpdateCount()`
`long[]` `getLargeUpdateCounts()`
`long[]` `getRewriteLargeUpdateCounts()`
`int[]` `getRewriteUpdateCounts()`
`int` `getUpdateCount()`
`int[]` `getUpdateCounts()`
`boolean` `isCurrentUpdateCount()`
`boolean` `moreResults()`

Field Detail

### RESULT_SET_VALUE

    static final int RESULT_SET_VALUE

See Also:
  Constant Field Values

Method Detail

### getUpdateCounts

    int[] getUpdateCounts()

### getLargeUpdateCounts

    long[] getLargeUpdateCounts()

### getRewriteUpdateCounts

    int[] getRewriteUpdateCounts()

### getRewriteLargeUpdateCounts

    long[] getRewriteLargeUpdateCounts()

### getUpdateCount

    int getUpdateCount()

### getLargeUpdateCount

    long getLargeUpdateCount()

### addSuccessStat

    void addSuccessStat(long updateCount,
                        long insertId)

### addErrorStat

    void addErrorStat()

### addResultSetStat

    void addResultSetStat()

### getGeneratedKeys

    ResultSet getGeneratedKeys(Protocol protocol)

### getBatchGeneratedKeys

    ResultSet getBatchGeneratedKeys(Protocol protocol)

### getCurrentStatNumber

    int getCurrentStatNumber()

### moreResults

    boolean moreResults()

### isCurrentUpdateCount

    boolean isCurrentUpdateCount()

Copyright © 2017. All rights reserved.